<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

    <title>Notes</title>

  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <div class="container-fluid">
        <a class="navbar-brand" href="#">Notes List</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarScroll" aria-controls="navbarScroll" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarScroll">
          <ul class="navbar-nav me-auto my-2 my-lg-0 navbar-nav-scroll" style="--bs-scroll-height: 100px;">
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="/lab-1/">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/admin/">Admin</a>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarScrollingDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Lab
              </a>
              <ul class="dropdown-menu" aria-labelledby="navbarScrollingDropdown">
                <li><a class="dropdown-item" href="/lab-2/">Lab 2</a></li>
                <li><a class="dropdown-item" href="/lab-3/">Lab 3</a></li>
                <li><a class="dropdown-item" href="/lab-4/">Lab 4</a></li>
                <li><hr class="dropdown-divider"></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
              </ul>
            </li>
            <li class="nav-item">
              <a class="nav-link disabled">Link</a>
            </li>
          </ul>
          <form class="d-flex">
            <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success" type="submit">Search</button>
          </form>
        </div>
      </div>
    </nav>

  <div class="row">
    {% for i in notes %}
      <div class="col-sm-3">
        <div class="card">
          <div class="card-body">
            <h5 class="card-title">To : {{i.to}}</h5>
            <h6 class="card-subtitle mb-2 text-muted">Title : {{i.title}}</h6>
            <p class="card-text">{{i.message}}</p>
            <h6 class="card-text">From :{{i.fromN}}</p>
          </div>
        </div>
      </div>
    {% endfor %}
  </div>

    <div class="d-grid gap-3 col-4 mx-auto text-center">
      <a href="{% url "add_notes" %}">
      <button class="btn btn-primary" type="button">Add Notes</button>
      </a>
      <a href="/lab-4/">
      <button class="btn btn-primary" type="button">Note List</button>
      </a>
    </div>

  </body>
</html>
